//档案借阅
import request from '@/utils/request'

//分页查询获取所有角色
export const getRoles = (data) => {
  return request({
    url: '/point-strategy/v/role/getRoles',
    method: 'post',
    data
  })
}
//保存角色信息
export const saveRole = (data) => {
  return request({
    url: '/point-strategy/v/role/saveRole',
    method: 'post',
    data
  })
}
//删除角色信息
export const deleteRole = (params) => {
  return request({
    url: '/point-strategy/v/role/deleteRole',
    method: 'post',
    params
  })
}
//修改角色信息
export const updateRole = (data) => {
  return request({
    url: '/point-strategy/v/role/updateRole',
    method: 'post',
    data
  })
}
